package ru.ulstu.fc.rule.model.dto;

import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Size;
import ru.ulstu.fc.rule.model.FuzzyRule;

public class FuzzyRuleDto {
    private Integer id;
    @NotNull
    private Integer projectId;

    @Size(min = 5, max = 250, message = "Длина от 5 до 250 символов")
    private String content;

    public FuzzyRuleDto() {
    }

    public FuzzyRuleDto(Integer id, Integer projectId) {
        this.id = id;
        this.projectId = projectId;
    }

    public FuzzyRuleDto(Integer projectId, String content) {
        this.projectId = projectId;
        this.content = content;
    }

    public FuzzyRuleDto(FuzzyRule fuzzyRule) {
        this.id = fuzzyRule.getId();
        this.projectId = fuzzyRule.getProject().getId();
        this.content = fuzzyRule.getContent();
    }

    public Integer getProjectId() {
        return projectId;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

}
