package ru.ulstu.fc.rule.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import ru.ulstu.fc.project.model.Project;
import ru.ulstu.fc.rule.model.FuzzyRule;

import java.util.List;

public interface FuzzyRuleRepository extends JpaRepository<FuzzyRule, Integer> {

    List<FuzzyRule> findByProject(Project project);

    @Query("DELETE FROM FuzzyRule fr WHERE fr.project.id = :projectId")
    @Modifying
    void deleteAllByProjectId(@Param("projectId") Integer projectId);
}
