package ru.ulstu.fc.rule.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import ru.ulstu.fc.rule.model.FuzzyTerm;
import ru.ulstu.fc.rule.model.Variable;

public interface FuzzyTermRepository extends JpaRepository<FuzzyTerm, Integer> {

    @Query("SELECT v FROM Variable v LEFT JOIN v.fuzzyTerms ft WHERE ft = :fuzzyTerm")
    Variable findByFuzzyTerm(@Param("fuzzyTerm") FuzzyTerm fuzzyTerm);

    @Query("DELETE FROM FuzzyTerm ft WHERE ft in (SELECT v.fuzzyTerms FROM Variable v WHERE v.project.id = :projectId)")
    @Modifying
    void deleteAllByProjectId(@Param("projectId") Integer projectId);
}
