package ru.ulstu.fc.rule.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import ru.ulstu.fc.project.model.Project;
import ru.ulstu.fc.rule.model.Variable;

import java.util.List;

public interface VariableRepository extends JpaRepository<Variable, Integer> {

    List<Variable> findByProject(Project project);

    List<Variable> getByProject(Project project);

    @Query("SELECT v FROM Variable v WHERE v.project = :project AND v.input = true")
    List<Variable> getInputByProject(@Param("project") Project project);

    @Query("SELECT v FROM Variable v WHERE v.project = :project AND v.input = false")
    List<Variable> getOutputByProject(@Param("project") Project project);

    @Query("DELETE FROM Variable v WHERE v.project.id = :projectId")
    @Modifying
    void deleteAllByProjectId(@Param("projectId") Integer projectId);
}
